Subject: Re: Q about git rev-parse {--is-inside-work-tree, --show-cdup}

From: Andreas Schwab <[email-masked]>
Date: Sat, 04 Dec 2010 17:52:41 +0100

Dirk Süsserott <[email-masked]> writes:

> 2. Wouldn't it be useful, if "git rev-parse --show-cdup" (2a) would
> return a dot "." instead of nothing if we are already in the topdir?
> That would make the steps (2a), (2b), (2c) to a simple "cd $(git
> rev-parse --show-cdup)".

The string returned by --show-cdup is to be used as prefix for a
relative path.  If you want to use it standalone just append ".":

cd $(git rev-parse --show-cdup).

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."